CodeEntry (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.types

## Class CodeEntry

- java.lang.Object
- - hlt.language.design.types.CodeEntry

- Direct Known Subclasses:
    BuiltinEntry, DefinedEntry

      public abstract class CodeEntry
      extends java.lang.Object

  Objects of this class associate a `Symbol` and a `Type` to code that may be executed for it. This code is either an array of instructions (if the symbol with this type is user-defined) or a built-in `Instruction` otherwise. The two concrete classes `DefinedEntry` and `BuiltinEntry` correspond to each case, respectively.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CodeEntry.CodeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `static CodeEntry.CodeId` | `getId(Instruction[] code)`
    `boolean` | `isBuiltIn()`
    `boolean` | `isDefinedField()`
    `boolean` | `isField()`
    `boolean` | `isProjection()`
    `static void` | `showCode(CodeEntry entry, Instruction[] code)`
    `static void` | `showCode(Instruction[] code)`
    `static void` | `showCode(Instruction[] code, int ip)`
    `Symbol` | `symbol()`
    `java.lang.String` | `toString()`
    `Type` | `type()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeEntry

          public CodeEntry()

  - ### Method Detail

    - #### getId

          public static final CodeEntry.CodeId getId(Instruction[] code)

    - #### showCode

          public static final void showCode(Instruction[] code)

    - #### showCode

          public static final void showCode(Instruction[] code,
                      int ip)

    - #### showCode

          public static final void showCode(CodeEntry entry,
                      Instruction[] code)

    - #### symbol

          public final Symbol symbol()

    - #### type

          public final Type type()

    - #### isBuiltIn

          public final boolean isBuiltIn()

    - #### isProjection

          public boolean isProjection()

    - #### isField

          public boolean isField()

    - #### isDefinedField

          public boolean isDefinedField()

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`